#include <os/ArgumentParser.h>
#include <os/LocalClient.h>

Result<int> luna_main(int argc, char** argv)
{
    StringView socket_path = "/tmp/wind.sock";

    os::ArgumentParser parser;
    parser.add_description("A graphical user interface client."_sv);
    parser.add_system_program_info("gclient"_sv);
    parser.add_value_argument(socket_path, 's', "socket"_sv, "the path for the local IPC socket"_sv);
    parser.parse(argc, argv);

    auto client = TRY(os::LocalClient::connect(socket_path, false));

    StringView message = "hello";
    TRY(client->send((const u8*)message.chars(), message.length()));

    return 0;
}
